@font-face {
    font-family: "CompagnonRoman";
    src: url("../../fonts/Compagnon-Roman.woff2") format("woff2");
}

@font-face {
    font-family: "CompagnonBold";
    src: url("../../fonts/Compagnon-Bold.woff2") format("woff2");
}

:root {
    --main-bg-color: white;
    --secondary-bg-color: #FFC259;
    --main-fg-color: #2d75bb;
    --main-border-color: #FFC259;
    --main-text-color: black;
    --heading-color: #ffa71a;
    --visited-link-color: #1B0699;
    --dropdown-hover-color: #f5abb9;
    --code-bg-color: rgba(255, 255, 100, 0.075);
    --code-shadow: inset 1px 1px 0 rgba(0, 0, 0, 0.2), inset -1px -1px 0 rgba(0, 0, 0, 0.04);
}

html {
    font-family: "CompagnonRoman", serif;
    scrollbar-color: var(--secondary-bg-color) #00000000;
    font-size: 18px;
}

body {
    background-color: var(--secondary-bg-color);
    background-image: url("../../background/background_plants.png");
    background-position: top;
    background-attachment: fixed;
    font-size: 18px;
    font-family: "CompagnonRoman", serif;
    margin: 0;
    padding: 3em;
}

main {
    background-color: var(--main-bg-color);
    color: var(--main-text-color);
}

main a,
a:link {
    color: var(--main-fg-color);
}

a:visited {
    color: var(--visited-link-color);
}

a:focus,
a:hover {
    font-weight: bold;
}

a:active {
    color: var(--main-text-color);
}

h1,
h2,
h3,
h4,
h5 {
    font-family: "CompagnonBold", serif;
    color: var(--heading-color);
}

p {
    line-height: 1.4em;
}

nav,
main,
footer {
    outline: 4px dotted var(--main-border-color);
    outline-offset: -2px;
}

nav,
footer {
    background-color: var(--secondary-bg-color);
    color: white;
}

nav a,
nav a:link,
nav a:visited,
footer a,
footer a:link,
footer a:visited {
    color: white;
    text-decoration: none;
    background-color: var(--secondary-bg-color);
    font-size: 1.2em;
}

nav a:hover,
nav a:focus,
footer a:hover,
footer a:focus {
    color: white;
    text-decoration: underline;
    background-color: var(--secondary-bg-color);
}

nav a:active,
footer a:active {
    color: white;
    background-color: var(--secondary-bg-color);
}

blockquote {
    margin-left: 0;
    padding-left: 1.5rem;
    border-left: 3px solid var(--secondary-bg-color);
}

code,
textarea {
    font-family: ui-monospace, SF Mono, Menlo, Monaco, Andale Mono, monospace;
    font-size: 1em;
    opacity: 0.7;
}

a code {
    opacity: 1;
}

code {
    background-color: var(--code-bg-color);
    color: inherit;
    padding: 0.1rem;
}

pre,
textarea {
    font-size: 0.9em;
    color: inherit;
    line-height: inherit;
    padding: 0.6em 0.9em;
    margin: 0.8em 0 1em 0;
    position: relative;
    display: block;
    width: 100%;
    white-space: pre-wrap;
    border: 0;
    border-radius: 4px;
    background: var(--code-bg-color);
    box-shadow: var(--code-shadow);
}

pre:has(code) {
    background-color: var(--code-bg-color);
    color: var(--main-text-color);
}

#pagination {
    background-color: var(--main-bg-color);
    color: var(--main-text-color);
}

#pagination a {
    color: var(--main-fg-color);
}

.lastupdate::after {
    content: " • ";
}

img[src*='berrysprite.png'] {
    filter: none;
}

.commentbox,
#disqus_thread {
    background-color: var(--main-bg-color);
}

#disqus_thread {
    margin-top: 1.6em;
}